org.apache.nutch.util.domain

## Class DomainSuffix

- java.lang.Object
- - org.apache.nutch.util.domain.DomainSuffix

- Direct Known Subclasses:
    TopLevelDomain

      public class DomainSuffix
      extends Object

  This class represents the last part of the host name, which is operated by authoritives, not individuals. This information is needed to find the domain name of a host. The domain name of a host is defined to be the last part before the domain suffix, w/o subdomain names. As an example the domain name of
  `http://lucene.apache.org/`
  is `apache.org`
  This class holds three fields, domain field represents the suffix (such as "co.uk") boost is a float for boosting score of url's with this suffix status field represents domain's status
  Author:
    Enis Soztutar <enis.soz.nutch@gmail.com>
  See Also:
    `for info please see conf/domain-suffixes.xml`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DomainSuffix.Status` Enumeration of the status of the tld.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static float` | `DEFAULT_BOOST`
    `static DomainSuffix.Status` | `DEFAULT_STATUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainSuffix(String domain)`
    `DomainSuffix(String domain, DomainSuffix.Status status, float boost)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getBoost()`
    `String` | `getDomain()`
    `DomainSuffix.Status` | `getStatus()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_BOOST

          public static final float DEFAULT_BOOST

      See Also:
        Constant Field Values

    - #### DEFAULT_STATUS

          public static final DomainSuffix.Status DEFAULT_STATUS

  - ### Constructor Detail

    - #### DomainSuffix

          public DomainSuffix(String domain,
                              DomainSuffix.Status status,
                              float boost)

    - #### DomainSuffix

          public DomainSuffix(String domain)

  - ### Method Detail

    - #### getDomain

          public String getDomain()

    - #### getStatus

          public DomainSuffix.Status getStatus()

    - #### getBoost

          public float getBoost()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation